# run this script with "bash ./makescript.sh" to build all.
# run this script with "bash ./makescript.sh clean" to remove all object and exe files.
MAKEDEF=false
clean="clean"
if [ $# -eq 0 ]; then
	#make default target
	MAKEDEF=true
elif [ $# -ne 1 ]; then
      echo "error: valid targets are the default (no arguments) and clean."
      exit 1
fi

if [ "$MAKEDEF" = true ]
then

   echo "Making default target in thresh_region_code..."
   cd thresh_region_code
   make
   cp thresh_region ..
   cp thresh_results ..
   cd .. 

   echo "Making default target in single_var_thresh_code..."
   cd single_var_thresh_code
   make
   cp single_var_thresh ..
   cd ..

   exit 0
fi

if [ "$1" != "clean" ]
then
    echo "error: valid targets are the default (no arguments) and clean."
    exit 1
fi
# clean
echo "Making clean target in thresh_region_code..."
cd thresh_region_code
make clean
cd ..

echo "Making clean target in single_var_thresh_code..."
cd single_var_thresh_code
make clean
cd ..

echo "Removing executables..."
rm thresh_region
rm thresh_results
rm single_var_thresh
exit 0
